Rpmte Class Reference

An python rpm.te object represents an element of a transaction set. More...

## Detailed Description

An python rpm.te object represents an element of a transaction set.

Elements of a transaction set are accessible after being added. Each element carries descriptive information about the added element as well as a file info set and dependency sets for each of the 4 types of dependency.

The rpmte class contains the following methods:

- te.Type() Return transaction element type (TR_ADDED|TR_REMOVED).
- te.N() Return package name.
- te.E() Return package epoch.
- te.V() Return package version.
- te.R() Return package release.
- te.A() Return package architecture.
- te.O() Return package operating system.
- te.NEVR() Return package name-version-release.
- te.NEVRA() Return package name-version-release.arch.
- te.Pkgid() Return package identifier (header+payload md5 digest).
- te.Hdrid() Return package header identifier (header sha1 digest).
- te.Color() Return package color bits.
- te.PkgFileSize() Return no. of bytes in package file.
- te.Breadth() Return element breadth index.
- te.Depth() Return element depth index.
- te.Npreds() Return the number of package prerequisites.
- te.Degree() Return the parent's degree + 1.
- te.Parent() Return the parent element index.
- te.Tree() Return the root dependency tree index.
- te.AddedKey() Return the added package index.
- te.DBOffset() Return the Packages database instance number (TR_REMOVED)
- te.Key() Return the associated opaque key, i.e. 2nd arg to ts.addInstall().
- te.DS(tag) Return package dependency set.
  Parameters

    tag | 'Providename', 'Requirename', 'Obsoletename', 'Conflictname'

- te.FI(tag) Return package file info set.
  Parameters

    tag | 'Basenames'

The documentation for this class was generated from the following file:

- python/rpmte-py.c